[android-components](../../index.md) / [mozilla.components.feature.p2p.view](../index.md) / [P2PBar](index.md) / [reportSendComplete](./report-send-complete.md)

# reportSendComplete

`fun reportSendComplete(resid: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/p2p/src/main/java/mozilla/components/feature/p2p/view/P2PBar.kt#L167)

Overrides [P2PView.reportSendComplete](../-p2-p-view/report-send-complete.md)

Indicates that the requested send operation is complete. The view may optionally display
the specified string.

### Parameters

`resid` - the resource if of a string confirming that the requested send was completed